package util

import "strings"

// HTMLUnEscape html special char convert
// 	 &quot; to space, &amp; to &, &lt; to <, &gt; to >
func HTMLUnEscape(url string) string {
	s := strings.Replace(url, "&quot;", "\"", -1)
	s = strings.Replace(s, "&amp;", "&", -1)
	s = strings.Replace(s, "&lt;", "<", -1)
	s = strings.Replace(s, "&gt;", ">", -1)

	return s
}

// HTMLEscape html special char convert
// 	 space to &quot;, & to &amp;, < to &lt;, > to &gt;
func HTMLEscape(url string) string {
	s := strings.Replace(url, "\"", "&quot;", -1)
	s = strings.Replace(s, "&", "&amp;", -1)
	s = strings.Replace(s, "<", "&lt;", -1)
	s = strings.Replace(s, ">", "&gt;", -1)

	return s
}
